CadXP: Gelés tous les calques sauf 2 en macro VBA - CadXP

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Gelés tous les calques sauf 2 en macro VBA

#1 Guest_fabdu91630_*

  • Groupe : Invités

Posté 26 mai 2011 - 13:35

Bonjour,

Je suis novice dans la programmation VBA et j'ai besoin d'aide :

J'ai besoin de créer une macro en VBA qui me permettrai de geler tous les calques sauf 2.
J'aifais cette petite macro mais ne fonctionne pas :
Sub test()

Dim i As Integer


For i = 0 To ThisDrawing.layers.Count - 1

If ThisDrawing.layers.objetName = "Y-EQP-SI" Then

ThisDrawing.layers(i).Freeze = False
Else
ThisDrawing.layers(i).Freeze = True
End If
Next i
End Sub

Quelqu'un aurait-t-il une idée ?

Cordialement,

Fabdu91630
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)